# Copyright (c) 2018 Dave Love, University of Manchester
# MIT licence, per Fedora policy

%global summ Heavy Peer To Peer MPI-based benchmark for network diagnostics
Summary: %summ
Name: hp2p
Version: 4.0
Release: 1%{?dist}
License: CeCILL-C
URL: https://github.com/cea-hpc/hp2p
Source0: https://github.com/cea-hpc/hp2p/releases/download/%version/%name-%version.tar.gz

%global desc \
HP2P (Heavy Peer To Peer) benchmark is a test which performs MPI\
Point-to-Point non-blocking communications between all MPI processes.\
Its goal is to measure the bandwidths and the latencies in a situation\
where the network is loaded.  The benchmark can help to detect\
problems in a network like contention or problems with switches or\
links.

%description
%desc

%package openmpi
Summary: %summ - openmpi
BuildRequires: openmpi-devel
Requires: openmpi
Requires: %name-common = %version-%release

%description openmpi
%desc

%package common
Summary: Common files for %name
BuildArch: noarch
Requires: python-mpldatacursor

%description common
Common files for %name.

%prep
%setup -q

%build
%_openmpi_load
%configure
%make_build

%install
%_openmpi_load
%make_install
mkdir -p %buildroot$MPI_BIN
mv %buildroot%_bindir/hp2p.exe %buildroot$MPI_BIN/hp2p
rm %buildroot%_datadir/doc/hp2p/README.md

%files openmpi
%_libdir/openmpi/bin/hp2p

%files common
%license COPYING Licence_CeCILL-C_V1-*.txt
%doc AUTHORS NEWS README.md examples
%_bindir/get_plotlyjs.py


%changelog
* Fri Jul  8 2022 Dave Love <loveshack@fedoraproject.org> - 4.0-1
- New version; modify installation

* Thu Jul 18 2019 Dave Love <loveshack@fedoraproject.org> - 3.3-1
- New version

* Fri Feb 16 2018 Dave Love <dave.love@manchester.ac.uk> - 3.2-1
- Initial build.
